<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

require_once '../common/begin.php';

header('Content-Type: application/xml; charset=UTF-8');

try
{
	checa_permissao(TipoUsuario::ADMINISTRADOR);

	$iduser = $_GET['id'];
	$count = Doctrine_Query::create()
		->delete('Usuario u')
		->where('u.id = ?', $iduser)
		->execute();

	if($count == 0)
		throw new Exception('Usuário não encontrado');

	echo <<<EOT
<result code="ok">
	<count> 
		$count
	</count>
</result>
EOT;

}
catch(Exception $e)
{
	echo <<<EOT
<result code="error">
	<message> 
		{$e->getMessage()}
	</message>
</result>
EOT;
}
?>
